RedCrawler API
Manage Posts V1

Edit Post V1

Edit a self-post's text.

PUT /api/v1/publishing/edit

Edit a self-post's text.

Body parameters

NameTypeRequiredDescription
poststringYesPost URL, ID, or t3_ prefixed ID.
bodystringYesNew post body text — plain text or Reddit markdown both work.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X PUT "https://red-crawler1.p.rapidapi.com/api/v1/publishing/edit" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"post": "1sys4r2", "body": "<body>", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/edit", {
  method: "PUT",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "post": "1sys4r2",
  "body": "<body>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/edit"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "post": "1sys4r2",
  "body": "<body>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.put(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": [],
      "data": {
        "things": [
          {
            "kind": "t3",
            "data": {
              "author_flair_background_color": "",
              "approved_at_utc": 1777462215,
              "subreddit": "RedCrawlerAPI",
              "selftext": "editing post",
              "author_fullname": "t2_29onm7dc32",
              "location_lat": null,
              "saved": true,
              "mod_reason_title": null,
              "gilded": 0,
              "clicked": false,
              "title": "test post",
              "link_flair_richtext": [],
              "subreddit_name_prefixed": "r/RedCrawlerAPI",
              "hidden": false,
              "pwls": null,
              "link_flair_css_class": null,
              "downs": 0,
              "thumbnail_height": null,
              "top_awarded_type": null,
              "hide_score": false,
              "name": "t3_1syw2sd",
              "quarantine": false,
              "link_flair_text_color": "dark",
              "upvote_ratio": 1,
              "ignore_reports": false,
              "ups": 1,
              "domain": "self.RedCrawlerAPI",
              "media_embed": {},
              "thumbnail_width": null,
              "author_flair_template_id": null,
              "is_original_content": false,
              "user_reports": [],
              "secure_media": null,
              "is_reddit_media_domain": false,
              "is_meta": false,
              "category": null,
              "secure_media_embed": {},
              "link_flair_text": null,
              "can_mod_post": true,
              "score": 1,
              "approved_by": "Motor_Tip8865",
              "is_created_from_ads_ui": false,
              "author_premium": false,
              "thumbnail": "self",
              "edited": 1777463129,
              "author_flair_css_class": "power",
              "author_flair_richtext": [
                {
                  "e": "text",
                  "t": "Power User"
                }
              ],
              "websocket_url": "wss://k8s-lb.wss.redditmedia.com/link/1syw2sd?m=AQAA2UDzaYPYdTV8BXR6-YvOaWgrIFj3IlSCsKjYwLD5uK8aIOMK",
              "gildings": {},
              "content_categories": null,
              "is_self": true,
              "subreddit_type": "private",
              "created": 1777462210,
              "link_flair_type": "text",
              "wls": null,
              "removed_by_category": null,
              "send_replies": true,
              "banned_by": null,
              "author_flair_type": "richtext",
              "total_awards_received": 0,
              "allow_live_comments": false,
              "selftext_html": "&lt;!-- SC_OFF --&gt;&lt;div class=\"md\"&gt;&lt;p&gt;editing post&lt;/p&gt;\n&lt;/div&gt;&lt;!-- SC_ON --&gt;",
              "likes": true,
              "suggested_sort": null,
              "banned_at_utc": null,
              "view_count": null,
              "archived": false,
              "no_follow": false,
              "spam": false,
              "is_crosspostable": false,
              "pinned": false,
              "over_18": false,
              "all_awardings": [],
              "awarders": [],
              "media_only": false,
              "can_gild": false,
              "removed": false,
              "spoiler": false,
              "locked": false,
              "author_flair_text": "Power User",
              "treatment_tags": [],
              "rte_mode": "markdown",
              "visited": false,
              "removed_by": null,
              "mod_note": null,
              "distinguished": null,
              "subreddit_id": "t5_hmeujo",
              "author_is_blocked": false,
              "mod_reason_by": null,
              "num_reports": 0,
              "removal_reason": null,
              "link_flair_background_color": "",
              "id": "1syw2sd",
              "is_robot_indexable": true,
              "location_name": null,
              "report_reasons": [],
              "author": "Motor_Tip8865",
              "discussion_type": null,
              "num_comments": 1,
              "location_long": null,
              "contest_mode": false,
              "mod_reports": [],
              "author_patreon_flair": false,
              "approved": true,
              "author_flair_text_color": "dark",
              "permalink": "/r/RedCrawlerAPI/comments/1syw2sd/test_post/",
              "stickied": false,
              "url": "https://www.reddit.com/r/RedCrawlerAPI/comments/1syw2sd/test_post/",
              "subreddit_subscribers": 2,
              "created_utc": 1777462210,
              "num_crossposts": 0,
              "media": null,
              "is_video": false
            }
          }
        ]
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T11:45:29.635581+00:00"
}

On this page